from django.conf.urls import url, include
from rest_framework import routers
from billard import views

router = routers.DefaultRouter()
router.register(r'location_data', views.LocationDataViewSet)

urlpatterns = [
    url(r'^$', views.index, name='carom_index'),
    url(r'^(?P<pk>[0-9]+)/$', views.LocationDataDetailView.as_view(), name='detail'),
    url(r'api/v1/', include(router.urls)),
    url(r'process_locationdata', views.process_locationdata, name='process_locationdata'),
    url(r'accounting', views.accounting, name='accounting'),
    url(r'accountmodal$', views.accountmodalview, name='accountmodal'),
    url(r'accoutmodal/confirm/(?P<pk>[0-9]+)$', views.accountmodalconfirmview, name="accountmodalconfirm")
]
